
Snaps.Picture = function(state, img){
    // Create the canvas
	this.canvas_ = document.createElement("canvas");
	this.canvas_.width = img.width;
	this.canvas_.height = img.height;
	this.ctx_ = this.canvas_.getContext("2d");
	this.ctx_.drawImage(img, 0, 0, img.width, img.height);

	// Add it to the TextureLibrary
	this.atlasId_ = state.game.rnd.uuid()
	var atlas = new Kiwi.Textures.SingleImage( this, this.canvas_);
	state.textureLibrary.add(atlas);
	atlas.dirty = true;

	Kiwi.GameObjects.StaticImage.call( this, state, atlas);

	this.components.add(new Kiwi.Components.Box(this));
};
Kiwi.extend( Snaps.Picture, Kiwi.GameObjects.StaticImage );

Snaps.Picture.prototype.getCanvas = function(){
	return this.canvas_;
};

Snaps.Picture.prototype.destroy = function(immediately){
	delete this.state.textureLibrary.textures[this.atlasId_];
	delete this.canvas_;
	delete this.ctx_;
	Kiwi.GameObjects.StaticImage.prototype.destroy.call(this,immediately);
};