
// Prepare game options
var gameOptions = {
	width: 540,
	height: 960,
	plugins: [
		"GamefrootLeaderboard", "CocoonAds",
		"GestureControls"
	],
	renderer: Kiwi.RENDERER_CANVAS
};

var isCordova = !!window.cordova;
// Auto-detect cocoon.js + Cordova
// Doesn't seem to like Cocoon target on iOS with Cordova
if (navigator.isCocoonJS || isCordova) {
	gameOptions.deviceTarget = Kiwi.TARGET_COCOON;
	gameOptions.scaleType = Kiwi.Stage.SCALE_FIT;
}

// Create the game
Snaps = {
	sceneIndex: 0,
	sceneImageCoords: {
		x: 0,
		y: 0,
		rotation: 0,
		scaleX: 0,
		scaleY: 0
	},
	userImage: null
};

Cocoon.Utils.setNPOTEnabled(true);

Snaps.game = new Kiwi.Game( null, "Snaps", null, gameOptions);
// The game will start on snaps.boot.js (once everything is loaded)

